Bug 74633 - Spreadsheet page footer appears OK on print preview; cropped at right printing to printer / PDF
Summary: Spreadsheet page footer appears OK on print preview; cropped at right printin...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: Other Mac OS X (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-06 19:33 UTC by kurt.pfeifle
Modified: 2017-10-22 10:38 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
ODS file to demonstrate the bug (25.19 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-02-06 19:33 UTC, kurt.pfeifle
Details
Screenshot of print preview (footer area) (25.86 KB, image/png)
2014-02-06 19:35 UTC, kurt.pfeifle
Details
Screenshot of print result (footer area) (25.58 KB, image/png)
2014-02-06 19:36 UTC, kurt.pfeifle
Details
Generated PDF (48.50 KB, application/pdf)
2014-02-07 00:40 UTC, m.a.riosv
Details

Note You need to log in before you can comment on or make changes to this bug.
Description kurt.pfeifle 2014-02-06 19:33:15 UTC
Created attachment 93559 [details]
ODS file to demonstrate the bug

When printing a Calc sheet, the page footer print result differs violently from the print preview. The same as with the printout result can be seen with PDF export.

I found 2 major problems, both of which may be interdependent:

* The font does not really look like it does in the preview.
* The footer runs gets cut off on the right side and is printed incompletely.

Attached is a sample ODS file (which was used in an attempt to create a letterhead template for myself). Also attached are two screenshots (one showing the print preview of the footer area, the other showing the print result).

Further notes:
==============

* This used to work with previous versions of LibreOffice (as well as with OpenOffice).
* After upgrading to LibreOffice 4.x, it stopped to work (while it still works with the latest 3.x of Apache OpenOffice).
* The bug now appears in the most recent Apache OpenOffice 4.0.x.
Comment 1 kurt.pfeifle 2014-02-06 19:35:18 UTC
Created attachment 93560 [details]
Screenshot of print preview (footer area)
Comment 2 kurt.pfeifle 2014-02-06 19:36:06 UTC
Created attachment 93562 [details]
Screenshot of print result (footer area)
Comment 3 m.a.riosv 2014-02-07 00:40:50 UTC
Created attachment 93573 [details]
Generated PDF

Hi Kurt, thanks for reporting.

As you can see in the attached file generated from your ods file without any modification, I can not reproduce the issue.

Try resetting user profile, sometimes solves strange issues.
https://wiki.documentfoundation.org/UserProfile
Comment 4 kurt.pfeifle 2014-02-07 03:01:25 UTC
(In reply to comment #3)

> As you can see in the attached file generated from your ods file without any
> modification, I can not reproduce the issue.

Oh, thanks a lot for your effort, mariosv! I'm glad it worked for you, so there
is a good chance your hint at resetting my user profile will work for me too!

Thanks again!
 
> Try resetting user profile, sometimes solves strange issues.
> https://wiki.documentfoundation.org/UserProfile
Comment 5 kurt.pfeifle 2014-02-07 03:12:19 UTC
Following the advice from comment #3, I shut down LibreOffice, renamed my old user profile (this is a Mac) from 

   /Users/<user name>/Library/Application\ Support/libreoffice/4/user 

to 

   /Users/<user name>/Library/Application Support/libreoffice/4/user.old-2014feb7

restarted LO, downloaded my bug demo file from this report again to repeat the test: no luck, still the same problem.

@mariosv, I envy you  :-)
Comment 6 Owen Genat (retired) 2014-07-18 10:24:59 UTC
Footer in provided example prints as expected to both PDF and networked HP4050TN under Debian 7 x86_64 running v4.3.0.2. 

(In reply to comment #0)
> * After upgrading to LibreOffice 4.x, it stopped to work (while it still
> works with the latest 3.x of Apache OpenOffice).
> * The bug now appears in the most recent Apache OpenOffice 4.0.x.

Kurt, you have not indicated which specific versions of LO you have experienced this problem with. Can you try either v4.2.5.2 or v4.3.0.2 to see if the problem persists? Status set to NEEDINFO. Please set status back to UNCONFIRMED once the required information is provided / tasks are performed. Thanks.
Comment 7 Owen Genat (retired) 2014-07-18 10:26:50 UTC
Summary amended for clarity.
Comment 8 m.a.riosv 2015-08-23 22:33:52 UTC
Please @Kurt, is the issue solved?
Comment 9 kurt.pfeifle 2015-08-26 00:32:07 UTC
(In reply to m.a.riosv from comment #8)
> Please @Kurt, is the issue solved?

No, the issue remains on my current system

 - Mac OS X 10.10.5 Yosemite
 - LibreOffice 5.0.0.5
Comment 10 m.a.riosv 2015-08-26 02:51:17 UTC
Have you tried changing the footer font?, to be sure it's not an issue related with it.
Comment 11 Timur 2016-03-28 16:34:00 UTC
Only another person that reproduces the bug should set it to New. 
When reply is provided, please set back as Unconfirmed.
Comment 12 Alex Thurgood 2016-09-01 12:47:31 UTC
No repro with test file on

Version: 5.2.0.4
Build ID: 066b007f5ebcc236395c7d282ba488bca6720265
CPU Threads: 2; OS Version: Mac OS X 10.11.6; UI Render: default; 
Locale: en-GB (fr.UTF-8)

so this is WFM

Both the header and footer print correctly without any truncation.
Comment 13 kurt.pfeifle 2017-10-22 10:38:16 UTC
I confirm this works now on LO v 5.4.1.2 [Build ID: ea7cb86e6eeb2bf3a5af73a8f7777ac570321527; CPU threads: 8; OS: Mac OS X 10.12.6; UI render: default; Locale: de-DE (en_US.UTF-8); Calc: group].

Thanks to whoever fixed it!